Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Andrea Corallo <[email-masked]>
Date: Sun, 14 Mar 2021 06:57:36 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: Pip Cet <[email-masked]>, [email-masked]
>> Date: Sat, 13 Mar 2021 20:53:00 +0000
>> 
>> > I'd like this investigation to be less of a blind search, sorry.  can
>> > you tell what to check or look at to see if this is relevant?
>> 
>> One confirmation that the issue is the one suggested by Pip would be
>> running the test we added for this with like:
>> 
>> $ ./src/emacs -batch -l test/src/comp-tests.el --eval '(ert-run-tests-batch-and-exit "46824-1")'
>> 
>> If the test-case fails it would be a clear marker, if it doesn't the
>> issue might still the be the suggested one but the different architecture
>> might play a role here making the test-case ineffective.
>
> This test succeeds.
>
>> PS Eli, even better would be to run all tests in comp-tests.el as a
>> quick sanity check to verify that all is okay.
>
> This is on my list of things to do, but with such basic instability I
> thought it was premature.

Running tests in comp-tests.el should take a couple of minutes and in
case we catch a fail there we'd already have a reduced reproducer to
look at, so yeah I suggest to have a run when you can as I think might
have a good return for the investment.

Thanks

  Andrea